- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

# OgreController.h File Reference

`#include "OgrePrerequisites.h"`
`#include "OgreSharedPtr.h"`

Go to the source code of this file.

## Namespaces
namespace | Ogre
## Classes
class | Ogre::ControllerFunction< T >
| Subclasses of this class are responsible for performing a function on an input value for a Controller. More...
class | Ogre::ControllerValue< T >
| Can either be used as an input or output value. More...
class | Ogre::Controller< T >
| Instances of this class 'control' the value of another object in the system. More...

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Mon Jun 16 12:48:58 2008